summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-lang/sassc/sassc-3.4.7.ebuild')
-rw-r--r--dev-lang/sassc/sassc-3.4.7.ebuild36
1 files changed, 36 insertions, 0 deletions
diff --git a/dev-lang/sassc/sassc-3.4.7.ebuild b/dev-lang/sassc/sassc-3.4.7.ebuild
new file mode 100644
index 00000000000..986e5579b3d
--- /dev/null
+++ b/dev-lang/sassc/sassc-3.4.7.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+
+if [[ ${PV} = *9999 ]]; then
+ EGIT_REPO_URI="https://github.com/sass/sassc.git"
+ inherit git-r3
+ KEYWORDS=
+else
+ SRC_URI="https://github.com/sass/sassc/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux"
+fi
+
+DESCRIPTION="A libsass command line driver"
+HOMEPAGE="https://github.com/sass/sassc"
+LICENSE="MIT"
+SLOT="0"
+IUSE=""
+
+RDEPEND=">=dev-libs/libsass-3.4:="
+DEPEND="${RDEPEND}"
+
+DOCS=( Readme.md )
+
+src_prepare() {
+ default
+
+ if [[ ${PV} != *9999 ]]; then
+ [[ -f VERSION ]] || echo "${PV}" > VERSION
+ fi
+
+ eautoreconf
+}